> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Aggregate Holdings by Constituents

> Get an aggregated report for the holdings across all clients, grouped by constituent. The results are sorted by descending total market value.



## OpenAPI

````yaml GET /api/v1/custom/org/{organization_uuid}/reports/holdings/constituents/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/reports/holdings/constituents/:
    get:
      tags:
        - api
      description: >-
        Get an aggregated report for the holdings across all clients, grouped by
        constituent. The results are sorted by descending total market value.
      operationId: api_v1_custom_org_reports_holdings_constituents_list
      parameters:
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: symbol
          schema:
            type: string
          description: Filter by ticker symbol
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedAggregateHoldingsConstituentList'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    PaginatedAggregateHoldingsConstituentList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/AggregateHoldingsConstituent'
    AggregateHoldingsConstituent:
      type: object
      properties:
        symbol:
          type: string
        tilt_asset_id:
          type: string
          nullable: true
        total_market_value:
          type: string
          format: decimal
          pattern: ^-?\d{0,16}(?:\.\d{0,4})?$
        total_quantity:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        num_clients:
          type: integer
      required:
        - num_clients
        - symbol
        - tilt_asset_id
        - total_market_value
        - total_quantity
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````